- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# docker – Run tasks in docker containers

- Synopsis

- Parameters

- Status

## Synopsis

- Run commands or put/fetch files to an existing docker container.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
docker_extra_args - | Default: "" |  | Extra arguments to pass to the docker command line
remote_addr - | Default: "inventory_hostname" | var: ansible_host var: ansible_docker_host | The name of the container you want to access.
remote_user - |  | var: ansible_user var: ansible_docker_user | The user to execute as inside the container

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]

- This connection is maintained by the Ansible Community. [community]

### Authors

- Lorin Hochestein

- Leendert Brouwer

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.